客户端 Debian 的系统

假想控 edited this page Jun 22, 2016 · 10 revisions

客户端 无需安装agent

适用于版本:v0.3.1-2

Debian/Ubuntu 环境要满足以下条件:which 查看

Ubuntu 15.10
root@ubuntu:~# which sudo

/usr/bin/sudo

root@ubuntu:~#  which su

/bin/su

root@ubuntu:~# which visudo

/usr/sbin/visudo

root@ubuntu:~# ls -l /etc/sudoers

-r--r----- 1 root root 825 Feb 29 11:51 /etc/sudoers

注:

最小化安装,默认安装python版本是3

1. apt-get update

2. apt-get -y install python

root@ubuntu:~# which python

/usr/bin/python
Debian 8.2
root@debian:~#  which su

/bin/su

注:

最小化安装,默认没有安装sudo、python

1. apt-get update

2. apt-get -y install sudo python

root@debian:~# which sudo

/usr/bin/sudo

root@debian:~# which visudo

/usr/sbin/visudo

root@debian:~# which python

/usr/bin/python

root@debian:~# ls -l /etc/sudoers

-r--r----- 1 root root 749 Feb 28 21:21 /etc/sudoers

注:

 1. 客户端需要有python,sudo 环境

 2. 跟which 查看路径是否一样

 3. 客户端如果开启了selinux,请安装 libselinux-python

如果系统环境不满足以上条件(包括其它版本系统),会导致jumpserver在推送系统用户、批量执行命令等功能失败